.sub-title-infomation{
    background: url(../img/bg_subtitle_information.png) no-repeat;
    background-size: cover;
}
.info-container{
    background:#FFF;
    border-radius:15px;
    display: flex;
    padding:30px;
    border:2px solid #ccc;
}

.message-section{
    padding:80px 0;
}
.message-text{
    font-size:20px;
    margin:30px 0;
}
.message-text span{
    color:red;
    display: inline-block;
}
.message-section .btn-item a{
    max-height: 89.6px;
}
.msg-information{
    padding:80px 0;
    margin:80px 0;
}
.msg-information-cont{
    background:#FFF;
    border:3px solid var(--color-grayBorder);
    border-radius: 16px;
    padding: 30px;
}
.msg-information-cont h3{
    margin-bottom:16px;
}
.school-information{
    padding:80px 0;
}
.school-information-wrap{
    display: flex;
}
.school-information-text{
    flex:0 0 65%;
    margin-right:40px;
}
.school-information-text h3{
    font-size:30px;
    margin-bottom:16px;
}
.school-information-text p{
    font-size:20px;
    line-height: 2.3rem;
}
.school-information-text .principal{
    text-align: right;
    font-weight: bold;
    margin-top:16px;
}

.school-motto{
    background:url(../img/bg-topicsnews.png);
    padding:80px 0;
    margin:40px 0 80px;
}
.school-motto-wrap{
    background:url(../img/information/bg_motto.png)no-repeat;
    background-size: 100% 100%;
    position:relative;
    display: flex;
    align-items: center;
    border:none;
}

.school-motto-ttl p{
    writing-mode: vertical-rl;
    font-size: 76px;
    letter-spacing: 0.2em;
    font-family: serif;
    font-weight: bold;
    margin-right:60px;
    white-space: nowrap; 
}

.school-motto-text p{
    font-size:18px;
    line-height: 2.3rem;
}
.school-examinee{
    padding:80px 0;
}
.school-examinee-wrap{
    display: flex;
    align-items: flex-start;
}
.school-examinee-img{
    flex:0 0 45%;
    position:relative;
    margin-right: 60px;
}
.school-examinee-img:after{
    position:absolute;
    content:'';
    z-index: -1;
    left:0;
    right:0;
    margin:auto;
    top:0;
    bottom:0;
    background:rgba(218,117,106,0.7);
    border-radius:26px;
    width: 100%;
    height: 100%;
    transform:rotate(8deg);
}

.school-examinee-text p{
    font-size:18px;
    line-height: 2rem;
}
.info-topics .topic-tag{
    background:#da756a;
}
.topic-card{
    position:relative;
}
.info-topics .topic-card{
    padding: 40px;
}
.info-topics .topic-card:before{
    position: absolute;
    content: '';
    background: url(../img/information/icon_new.png) no-repeat;
    width: 80px;
    height: 100px;
    top: -10px;
    left: -10px;
    background-size: contain;
}
.topics-news-section {
    margin-bottom:40px;
}
.topics-news-section .topics-sp-more{
    text-align: center;
}

.school-entranceexam{
    padding:80px 0;
}
.school-entranceexam .btn-info-list .btn-item a{
    background: #FFF url(../img/icon_arrow_o.png) no-repeat 96% center;
    background-size: 40px;
}
.fair-section{
    padding:80px 0;
}
.fair-wrap{
    background:#FFF;
    justify-content: center;
}
.fair-text{
    flex:0 0 50%;
    margin-right:40px;
}
.fair-section .school-life-bg{
    padding:80px 0;
}
@media (max-width: 1024px) {
    .info-topics .topic-card{
        padding: 20px;
    }
}
@media (max-width: 768px) {
    .info-container{
        flex-direction: column;
    }    
    .message-text{
        font-size: 16px;
    }
    .msg-information{
        padding: 40px 0;
        margin: 40px 0;
    }
    .message-section {
        padding: 40px 0;
    }
    .message-section .btn-item a{
        max-height: 61.6px;
    }
    .school-information-wrap{
        flex-direction: column;
    }
    .school-information-text h3{
        font-size: 24px;
    }
    .school-information-text{
        margin-right: 0;
    }
    .school-information-text p{
        font-size:16px;
        line-height: 2rem;
    }
    .school-information-img-sp{
        display: block;
        margin:20px auto;
        width:80%;
    }
    .school-motto-wrap{
        flex-direction: column;
        background: url(../img/information/bg_motto_sp.png) no-repeat;
        background-size: 100% 100%;
    }
    .school-motto-ttl p{
       writing-mode: vertical-rl;
        font-size: 46px;
        display: block;
        margin-right: 0;
        white-space: nowrap; 

        /* 追加すると確実に1列になる */
        min-width: 1em; /* ← ★重要：折り返し防止 */
        white-space: nowrap; /* ← 念のため */
    }
    .school-motto-text p{
        font-size: 16px;
        line-height: 2rem;
    }
    .school-examinee{
        padding:40px 0;
    }
    .school-examinee-wrap{
        flex-direction: column;
    }
    .school-examinee-img{
        margin:40px auto 30px;
        width:80%;
    }
    .school-examinee-text h3{
        font-size: 22px;
    }
    .school-examinee-text h4{
        font-size: 18px;
    }
    .school-examinee-text p{
        font-size:16px;
    }
    
    .info-topics .topic-card:before{
        width: 60px;
        height: 80px;
        top: -20px;
        left: 0px;
    }
    .fair-section,.fair-section .school-life-bg{
        padding:40px 0;
    }
    .fair-text{
        margin:0 0 20px 0;
    }
}
@media (min-width: 768px) and (max-height: 800px) {
    
    .school-motto-ttl p {
    font-size: 35px;
        writing-mode: vertical-rl !important;
        white-space: nowrap; 
}
.school-motto-text p h3 h4{
        padding: 20px;
    }
}